%define tarname nqxml
Summary: a pure Ruby implementation of a non-validating XML processor
Name: ruby-nqxml
Version: 1.1.3p1
Release: 1
License: GPL
Group: Applications/Ruby
Source: http://prdownloads.sourceforge.net/nqxml/%{tarname}-%{version}.tar.gz
URL: http://nqxml.sourceforge.net/
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
Requires: ruby

%description
NQXML is a pure Ruby implementation of a non-validating XML processor. It
includes an XML tokenizer, a SAX-style streaming XML parser, a DOM-style
tree parser, an XML writer, and a context-sensitive callback mechanism.
``NQ'' stands for ``Not Quite''.

%prep
%setup -n %{tarname}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
eval sitelibdir=`ruby -r rbconfig -e 'p Config::CONFIG["sitelibdir"]'`
ruby install.rb --install-dir=$RPM_BUILD_ROOT$sitelibdir
find $RPM_BUILD_ROOT -type f -print | \
	ruby -pe 'sub("^'$RPM_BUILD_ROOT'", "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc ChangeLog Credits INSTALL README TODO
%doc -P contrib/ docs/ examples/ tests/

%changelog
* Mon Apr  1 2002 Ian Macdonald <ian@caliban.org>
- 1.1.3p1
